Search Org Oidc Users

Search Org Oidc Users
Search the org's OIDC IDP for users.

Search the OIDC identity provider configured for the operating organization and return matching users.

Supported filter field: username. Supported operator: == with an optional * wildcard at the start, end, or both ends of the value (e.g. username==alice*, username==*alice, username==*alice*). Wildcards embedded within the value (e.g. alice*smith) are rejected. All comparisons are case-insensitive.

At most 128 records are returned regardless of how many match in the IDP. The resultTotal field on the response indicates how many records matched the filter in the IDP; if it exceeds the number of returned values, refine the filter to narrow the result set rather than relying on pagination (this endpoint does not page).

Request
URI
GET
https://{api_host}/cloudapi/v1/orgSettings/oidc/search/users
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VcdUsers of type(s) application/json;version=9.1.1
This response body class contains all of the following: Page , InlineVcdUsers1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "username": "string",
            "givenName": "string",
            "familyName": "string",
            "fullName": "string",
            "description": "string",
            "id": "string",
            "roleEntityRefs": [
                {
                    "name": "string",
                    "id": "string"
                }
            ],
            "effectiveRoleEntityRefs": [
                {
                    "name": "string",
                    "id": "string"
                }
            ],
            "orgEntityRef": {
                "name": "string",
                "id": "string"
            },
            "password": "string",
            "email": "string",
            "nameInSource": "string",
            "enabled": false,
            "inheritGroupRoles": false,
            "providerType": "string",
            "locked": false,
            "passwordLastChanged": "string",
            "passwordExpirationDate": "string",
            "stranded": false,
            "phone": "string",
            "domain": "string",
            "managerEntityRef": {
                "name": "string",
                "id": "string"
            }
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/orgSettings/oidc/search/users